%
%calc_fft
%
%Funcion para evaluar la transformada rapida de fourier
%
%Parametros:
%           irele :Seal de estudio
%           ejes_fourier, xw, yw: Parametros de localizacion grafica de la ventana
%
function [ejes_fourier]=calc_fft(irele,ejes_fourier,xw,yw)
set(ejes_fourier,'Visible','off');
axes(ejes_fourier);
cla;
amp=[];
Nt=10;
Npto=length(irele);
y=irele(1:2^15);
eval_f=fft(y,Npto)/(Npto/2); 
for k=1:Nt
  amp(k)=(1/sqrt(2))*abs(eval_f(k));
end
x=1:Nt-1;
yf=amp(2:Nt);
ejes_fourier = axes('units','pixels','Position',[(2/3)*xw+45 yw*0.11 0.28*xw 0.15*yw]);
axes(ejes_fourier);
set(gcf,'currentaxes',ejes_fourier);
b=bar(x,yf);
set(b,'FaceColor',[0 1 0.1])
hold on
m=bar(x(2),yf(2));
set(m,'FaceColor','r')
set(ejes_fourier,'fontsize',9,'linewidth',1);
xlabel('N armonico','HorizontalAlignment','left');
title('Armonicos de la seal','fontweight','bold','fontsize',10);

