%
%dibuja_senal.m
%
% Funcion para pintar una seal
%
%Parametros :
%        nombre_ejes   : Nombre de los ejes de la curva
%        nombre_senal  : Curva a pinar
%        tamano_letra  : Tamao de letra
%        color_curva   : Color de la curva
%        t             : Intervalo de tiempo

function dibuja_senal(nombre_ejes,nombre_senal,tamano_letra,color_curva,t)
axes(nombre_ejes);
set(gcf,'currentaxes',nombre_ejes);
plot(t,nombre_senal,color_curva,'linewidth',2);
grid on;
axis on;
set(nombre_ejes,'fontsize',tamano_letra,'linewidth',1.5);
xlabel('[seg.]','fontsize',10);
title('Corriente diferencial en Amperios','fontweight','bold','fontsize',10);
zoom

